Subject: bug#40778: 12.2.0; Previewing floats with H option with float and caption package

From: Ikumi Keita <[email-masked]>
Date: Sat, 09 May 2020 20:03:32 +0900

Hi Anatole,

>>>>> Anatole Dahan via bug-auctex via Bug reporting list for AUCTeX <[email-masked]> writes:
> Hello,
> I have been experiencing issues with preview, together with caption.sty and float.sty.

I can only state an observation, not a resolution. Sorry for that.

There are a pair of
> ./bug_minimal.tex:13: Preview: Snippet 1 started.
and
> ./bug_minimal.tex:15: Preview: Snippet 1 ended.(582542+0x22609920).
whereas Snippet 2 has only
> ./bug_minimal.tex:19: Preview: Snippet 2 ended.(582542+0x22609920).
in the given log.

It seems that the mechanism of preview-latex conflicts with caption.sty
and float.sty. Although preview-latex has some work arounds for
conflicts with other packages, I guess they simply don't work when both
caption.sty and float.sty are present.

Regards,
Ikumi Keita